# vue-router [![Build Status](https://img.shields.io/circleci/project/vuejs/vue-router/master.svg)](https://circleci.com/gh/vuejs/vue-router) [![npm package](https://img.shields.io/npm/v/vue-router.svg)](https://www.npmjs.com/package/vue-router)

**Compatibility Note:** `vue-router` requires Vue.js 0.12.10+

### Introduction

`vue-router` is the official router for [Vue.js](http://vuejs.org). It deeply integrates with Vue.js core to make building Single Page Applications with Vue.js a breeze. Features include:

- Nested route/view mapping
- Modular, component-based router configuration
- Route params, query, wildcards
- View transition effects powered by Vue.js' transition system
- Fine-grained navigation control
- Links with automatic active CSS classes
- HTML5 history mode or hash mode, with auto-fallback in IE9
- Restore scroll position when going back in history mode

Get started with the [documentation](http://vuejs.github.io/vue-router).

### Development Setup

``` bash
# install deps
npm install

# build dist files
npm run build

# serve example app at localhost:8080
# and unit tests at localhost:8081
npm run dev

# lint & run all tests
npm test

# run unit tests only
npm run unit

# run e2e tests only
npm run e2e-local
```
